Page MenuHomePhabricator

[Wikimedia Commons app] Allow users to peer review
Closed, ResolvedPublic

Description

Recall from @Nicolas_Raoul : Let's say Joe is in the train with 30 minutes to kill, and he has already uploaded all of his interesting pictures. Joe could start playing a mobile game, but he prefers doing something for the greater good.

As the first step our gamification plans, we want to implement review option for this hackathon. Related discussion: https://github.com/commons-app/apps-android-commons/issues/780

Event Timeline

Nes created this task.May 17 2018, 7:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2018, 7:22 PM
Nes updated the task description. (Show Details)May 17 2018, 7:23 PM
Ejegg updated the task description. (Show Details)

Hej hej, was this worked on at the Hackathon in Barcelona, or what's supposed to happen with this task? :) Thanks a lot!

@Aklapper: Yes a working prototype was created by @Nes in Barcelona :-)

As can be expected from a hackathon, the source code is not production-ready, though. Anyone please take the code and make it production-ready! :-) See https://github.com/commons-app/apps-android-commons/issues/1559

Vvjjkkii renamed this task from [Wikimedia Commons app] Allow users to peer review to ktcaaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from ktcaaaaaaa to [Wikimedia Commons app] Allow users to peer review.Jul 2 2018, 4:05 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Aklapper closed this task as Resolved.Dec 31 2018, 6:53 PM

@Aklapper: Yes a working prototype was created by @Nes in Barcelona :-)

Great! Closing this task as resolved.